## org.apache.jasper.compiler
Class ELNode.Root

    java.lang.Object
      org.apache.jasper.compiler.ELNode
          org.apache.jasper.compiler.ELNode.Root

Enclosing class:
  org.apache.jasper.compiler.ELNode

public static class ELNode.Root
extends org.apache.jasper.compiler.ELNode

Represents an EL expression: anything in ${ and }.

Nested Class Summary
`static class` `ELNode.ELText` Represents anything in EL expression, other than functions, including function arguments etc
`static class` `ELNode.Function` Represents a function Currently only include the prefix and function name, but not its arguments.
`static class` `ELNode.Nodes` An ordered list of ELNode.
`static class` `ELNode.Root` Represents an EL expression: anything in ${ and }.
`static class` `ELNode.Text` Represents text outside of EL expression.
`static class` `ELNode.Visitor`

Method Summary
`void` `accept(ELNode.Visitor v)`
`ELNode.Nodes` `getExpression()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### accept

    public void accept(ELNode.Visitor v)
                throws JasperException

  Throws:
    `JasperException`

### getExpression

    public ELNode.Nodes getExpression()

Copyright © 2000 Apache Software Foundation. All Rights Reserved.